Get Product By Id
curl --request GET \
--url https://app.fliqr.ai/api/products/{product_id} \
--header 'X-ACCESS-TOKEN: <api-key>'const options = {method: 'GET', headers: {'X-ACCESS-TOKEN': '<api-key>'}};
fetch('https://app.fliqr.ai/api/products/{product_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.fliqr.ai/api/products/{product_id}"
headers = {"X-ACCESS-TOKEN": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": 123,
"name": "<string>",
"price": 123,
"sale_price": 123,
"category_id": 123,
"category_name": "<string>",
"stock": 123,
"short_description": "<string>",
"image": "<string>",
"created_at": "<string>"
}Ecommerce
Get product by ID
Get product by id
GET
/
products
/
{product_id}
Get Product By Id
curl --request GET \
--url https://app.fliqr.ai/api/products/{product_id} \
--header 'X-ACCESS-TOKEN: <api-key>'const options = {method: 'GET', headers: {'X-ACCESS-TOKEN': '<api-key>'}};
fetch('https://app.fliqr.ai/api/products/{product_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.fliqr.ai/api/products/{product_id}"
headers = {"X-ACCESS-TOKEN": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": 123,
"name": "<string>",
"price": 123,
"sale_price": 123,
"category_id": 123,
"category_name": "<string>",
"stock": 123,
"short_description": "<string>",
"image": "<string>",
"created_at": "<string>"
}Authorizations
API access token from your Fliqr AI dashboard (Settings → API). Send it in the X-ACCESS-TOKEN header on every request.
Path Parameters
Was this page helpful?
⌘I